Package org.eclipse.emf.cdo.spi.server

# Class RepositoryActivityLog

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.net4j.util.lifecycle.LifecycleHook<IRepository>
org.eclipse.emf.cdo.spi.server.RepositoryActivityLog

All Implemented Interfaces:
  `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`, `org.eclipse.net4j.util.om.log.Log`

Direct Known Subclasses:
  `RepositoryActivityLog.Rolling`

public abstract class RepositoryActivityLog extends org.eclipse.net4j.util.lifecycle.LifecycleHook<IRepository> implements org.eclipse.net4j.util.om.log.Log

Since:
  4.7
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`RepositoryActivityLog.Factory`
`static class`
`RepositoryActivityLog.Rolling`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

## Constructor Summary

Constructors
Constructor
Description
`RepositoryActivityLog()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`commitFinished(IStoreAccessor.CommitContext commitContext, int concurrentCommits)`
`protected void`
`commitStarted(IStoreAccessor.CommitContext commitContext, int concurrentCommits, int commits)`
`protected void`
`delegateAboutToDeactivate(IRepository delegate)`
`protected void`
`delegateActivated(IRepository delegate)`
`protected String`
`formatSession(ISession session)`
`protected String`
`formatUser(ISession session)`
`protected String`
`formatView(IView view)`
`IRepository`
`getRepository()`
`protected void`
`hookDelegate(IRepository repository)`
`protected void`
`sessionClosed(ISession session, int concurrentSessions)`
`protected void`
`sessionOpened(ISession session, int concurrentSessions, int sessions)`
`void`
`setRepository(IRepository repository)`
`protected void`
`transactionClosed(ITransaction transaction, int concurrentTransactions)`
`protected void`
`transactionOpened(ITransaction transaction, int concurrentTransactions, int transactions)`
`protected void`
`unhookDelegate(IRepository repository)`
`protected void`
`viewClosed(IView view, int concurrentViews)`
`protected void`
`viewOpened(IView view, int concurrentViews, int views)`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.LifecycleHook

`delegateAboutToActivate, delegateChanged, delegateDeactivated, delegateEvent, doActivate, doDeactivate, getDelegate, hookInactiveDelegates, setDelegate`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.util.om.log.Log

`log`

## Constructor Details

### RepositoryActivityLog

public RepositoryActivityLog()

## Method Details

### getRepository

public IRepository getRepository()

### setRepository

public void setRepository(IRepository repository)

### sessionOpened

protected void sessionOpened(ISession session, int concurrentSessions, int sessions)

### sessionClosed

protected void sessionClosed(ISession session, int concurrentSessions)

### viewOpened

protected void viewOpened(IView view, int concurrentViews, int views)

### viewClosed

protected void viewClosed(IView view, int concurrentViews)

### transactionOpened

protected void transactionOpened(ITransaction transaction, int concurrentTransactions, int transactions)

### transactionClosed

protected void transactionClosed(ITransaction transaction, int concurrentTransactions)

### commitStarted

protected void commitStarted(IStoreAccessor.CommitContext commitContext, int concurrentCommits, int commits)

### commitFinished

protected void commitFinished(IStoreAccessor.CommitContext commitContext, int concurrentCommits)

### formatSession

protected String formatSession(ISession session)

### formatUser

protected String formatUser(ISession session)

### formatView

protected String formatView(IView view)

### delegateActivated

protected void delegateActivated(IRepository delegate)

Overrides:
  `delegateActivated` in class `org.eclipse.net4j.util.lifecycle.LifecycleHook<IRepository>`
Since:
  4.8

### delegateAboutToDeactivate

protected void delegateAboutToDeactivate(IRepository delegate)

Overrides:
  `delegateAboutToDeactivate` in class `org.eclipse.net4j.util.lifecycle.LifecycleHook<IRepository>`
Since:
  4.8

### hookDelegate

protected void hookDelegate(IRepository repository)

Overrides:
  `hookDelegate` in class `org.eclipse.net4j.util.lifecycle.LifecycleHook<IRepository>`

### unhookDelegate

protected void unhookDelegate(IRepository repository)

Overrides:
  `unhookDelegate` in class `org.eclipse.net4j.util.lifecycle.LifecycleHook<IRepository>`